org.apache.poi.hwpf.model.types

## Class PICFAbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.PICFAbstractType

- Direct Known Subclasses:
    PICF

      @Internal
      public abstract class PICFAbstractType
      extends java.lang.Object

  The PICF structure specifies the type of a picture, as well as the size of the picture and information about its border.

  Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

  NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

  This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

  Author:
    Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_1_lcb`
    `protected int` | `field_10_padding2`
    `protected short` | `field_11_dxaGoal`
    `protected short` | `field_12_dyaGoal`
    `protected int` | `field_13_mx`
    `protected int` | `field_14_my`
    `protected short` | `field_15_dxaReserved1`
    `protected short` | `field_16_dyaReserved1`
    `protected short` | `field_17_dxaReserved2`
    `protected short` | `field_18_dyaReserved2`
    `protected byte` | `field_19_fReserved`
    `protected int` | `field_2_cbHeader`
    `protected byte` | `field_20_bpp`
    `protected byte[]` | `field_21_brcTop80`
    `protected byte[]` | `field_22_brcLeft80`
    `protected byte[]` | `field_23_brcBottom80`
    `protected byte[]` | `field_24_brcRight80`
    `protected short` | `field_25_dxaReserved3`
    `protected short` | `field_26_dyaReserved3`
    `protected short` | `field_27_cProps`
    `protected short` | `field_3_mm`
    `protected short` | `field_4_xExt`
    `protected short` | `field_5_yExt`
    `protected short` | `field_6_swHMF`
    `protected int` | `field_7_grf`
    `protected int` | `field_8_padding`
    `protected int` | `field_9_mmPM`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PICFAbstractType()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillFields(byte[] data, int offset)`
    `byte` | `getBpp()` Get the bpp field for the PICF record.
    `byte[]` | `getBrcBottom80()` Get the brcBottom80 field for the PICF record.
    `byte[]` | `getBrcLeft80()` Get the brcLeft80 field for the PICF record.
    `byte[]` | `getBrcRight80()` Get the brcRight80 field for the PICF record.
    `byte[]` | `getBrcTop80()` Get the brcTop80 field for the PICF record.
    `int` | `getCbHeader()` An unsigned integer that specifies the size, in bytes, of this PICF structure.
    `short` | `getCProps()` This value MUST be 0 and MUST be ignored.
    `short` | `getDxaGoal()` Get the dxaGoal field for the PICF record.
    `short` | `getDxaReserved1()` Get the dxaReserved1 field for the PICF record.
    `short` | `getDxaReserved2()` Get the dxaReserved2 field for the PICF record.
    `short` | `getDxaReserved3()` Get the dxaReserved3 field for the PICF record.
    `short` | `getDyaGoal()` Get the dyaGoal field for the PICF record.
    `short` | `getDyaReserved1()` Get the dyaReserved1 field for the PICF record.
    `short` | `getDyaReserved2()` Get the dyaReserved2 field for the PICF record.
    `short` | `getDyaReserved3()` Get the dyaReserved3 field for the PICF record.
    `byte` | `getFReserved()` Get the fReserved field for the PICF record.
    `int` | `getGrf()` This field MUST be ignored.
    `int` | `getLcb()` A signed integer that specifies the size, in bytes, of this PICF structure and the subsequent data.
    `short` | `getMm()` A signed integer that specifies the format of the picture data.
    `int` | `getMmPM()` This field MUST be ignored.
    `int` | `getMx()` Get the mx field for the PICF record.
    `int` | `getMy()` Get the my field for the PICF record.
    `int` | `getPadding()` This value MUST be zero and MUST be ignored.
    `int` | `getPadding2()` This value MUST be zero and MUST be ignored.
    `static int` | `getSize()` Size of record
    `short` | `getSwHMF()` This field is unused and MUST be ignored.
    `short` | `getXExt()` This field is unused and MUST be ignored.
    `short` | `getYExt()` This field is unused and MUST be ignored.
    `byte[]` | `serialize()`
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setBpp(byte field_20_bpp)` Set the bpp field for the PICF record.
    `void` | `setBrcBottom80(byte[] field_23_brcBottom80)` Set the brcBottom80 field for the PICF record.
    `void` | `setBrcLeft80(byte[] field_22_brcLeft80)` Set the brcLeft80 field for the PICF record.
    `void` | `setBrcRight80(byte[] field_24_brcRight80)` Set the brcRight80 field for the PICF record.
    `void` | `setBrcTop80(byte[] field_21_brcTop80)` Set the brcTop80 field for the PICF record.
    `void` | `setCbHeader(int field_2_cbHeader)` An unsigned integer that specifies the size, in bytes, of this PICF structure.
    `void` | `setCProps(short field_27_cProps)` This value MUST be 0 and MUST be ignored.
    `void` | `setDxaGoal(short field_11_dxaGoal)` Set the dxaGoal field for the PICF record.
    `void` | `setDxaReserved1(short field_15_dxaReserved1)` Set the dxaReserved1 field for the PICF record.
    `void` | `setDxaReserved2(short field_17_dxaReserved2)` Set the dxaReserved2 field for the PICF record.
    `void` | `setDxaReserved3(short field_25_dxaReserved3)` Set the dxaReserved3 field for the PICF record.
    `void` | `setDyaGoal(short field_12_dyaGoal)` Set the dyaGoal field for the PICF record.
    `void` | `setDyaReserved1(short field_16_dyaReserved1)` Set the dyaReserved1 field for the PICF record.
    `void` | `setDyaReserved2(short field_18_dyaReserved2)` Set the dyaReserved2 field for the PICF record.
    `void` | `setDyaReserved3(short field_26_dyaReserved3)` Set the dyaReserved3 field for the PICF record.
    `void` | `setFReserved(byte field_19_fReserved)` Set the fReserved field for the PICF record.
    `void` | `setGrf(int field_7_grf)` This field MUST be ignored.
    `void` | `setLcb(int field_1_lcb)` A signed integer that specifies the size, in bytes, of this PICF structure and the subsequent data.
    `void` | `setMm(short field_3_mm)` A signed integer that specifies the format of the picture data.
    `void` | `setMmPM(int field_9_mmPM)` This field MUST be ignored.
    `void` | `setMx(int field_13_mx)` Set the mx field for the PICF record.
    `void` | `setMy(int field_14_my)` Set the my field for the PICF record.
    `void` | `setPadding(int field_8_padding)` This value MUST be zero and MUST be ignored.
    `void` | `setPadding2(int field_10_padding2)` This value MUST be zero and MUST be ignored.
    `void` | `setSwHMF(short field_6_swHMF)` This field is unused and MUST be ignored.
    `void` | `setXExt(short field_4_xExt)` This field is unused and MUST be ignored.
    `void` | `setYExt(short field_5_yExt)` This field is unused and MUST be ignored.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_lcb

          protected int field_1_lcb

    - #### field_2_cbHeader

          protected int field_2_cbHeader

    - #### field_3_mm

          protected short field_3_mm

    - #### field_4_xExt

          protected short field_4_xExt

    - #### field_5_yExt

          protected short field_5_yExt

    - #### field_6_swHMF

          protected short field_6_swHMF

    - #### field_7_grf

          protected int field_7_grf

    - #### field_8_padding

          protected int field_8_padding

    - #### field_9_mmPM

          protected int field_9_mmPM

    - #### field_10_padding2

          protected int field_10_padding2

    - #### field_11_dxaGoal

          protected short field_11_dxaGoal

    - #### field_12_dyaGoal

          protected short field_12_dyaGoal

    - #### field_13_mx

          protected int field_13_mx

    - #### field_14_my

          protected int field_14_my

    - #### field_15_dxaReserved1

          protected short field_15_dxaReserved1

    - #### field_16_dyaReserved1

          protected short field_16_dyaReserved1

    - #### field_17_dxaReserved2

          protected short field_17_dxaReserved2

    - #### field_18_dyaReserved2

          protected short field_18_dyaReserved2

    - #### field_19_fReserved

          protected byte field_19_fReserved

    - #### field_20_bpp

          protected byte field_20_bpp

    - #### field_21_brcTop80

          protected byte[] field_21_brcTop80

    - #### field_22_brcLeft80

          protected byte[] field_22_brcLeft80

    - #### field_23_brcBottom80

          protected byte[] field_23_brcBottom80

    - #### field_24_brcRight80

          protected byte[] field_24_brcRight80

    - #### field_25_dxaReserved3

          protected short field_25_dxaReserved3

    - #### field_26_dyaReserved3

          protected short field_26_dyaReserved3

    - #### field_27_cProps

          protected short field_27_cProps

  - ### Constructor Detail

    - #### PICFAbstractType

          protected PICFAbstractType()

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### serialize

          public byte[] serialize()

    - #### getSize

          public static int getSize()

      Size of record

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getLcb

          @Internal
          public int getLcb()

      A signed integer that specifies the size, in bytes, of this PICF structure and the subsequent data.

    - #### setLcb

          @Internal
          public void setLcb(int field_1_lcb)

      A signed integer that specifies the size, in bytes, of this PICF structure and the subsequent data.

    - #### getCbHeader

          @Internal
          public int getCbHeader()

      An unsigned integer that specifies the size, in bytes, of this PICF structure. This value MUST be 0x44.

    - #### setCbHeader

          @Internal
          public void setCbHeader(int field_2_cbHeader)

      An unsigned integer that specifies the size, in bytes, of this PICF structure. This value MUST be 0x44.

    - #### getMm

          @Internal
          public short getMm()

      A signed integer that specifies the format of the picture data.

    - #### setMm

          @Internal
          public void setMm(short field_3_mm)

      A signed integer that specifies the format of the picture data.

    - #### getXExt

          @Internal
          public short getXExt()

      This field is unused and MUST be ignored.

    - #### setXExt

          @Internal
          public void setXExt(short field_4_xExt)

      This field is unused and MUST be ignored.

    - #### getYExt

          @Internal
          public short getYExt()

      This field is unused and MUST be ignored.

    - #### setYExt

          @Internal
          public void setYExt(short field_5_yExt)

      This field is unused and MUST be ignored.

    - #### getSwHMF

          @Internal
          public short getSwHMF()

      This field is unused and MUST be ignored.

    - #### setSwHMF

          @Internal
          public void setSwHMF(short field_6_swHMF)

      This field is unused and MUST be ignored.

    - #### getGrf

          @Internal
          public int getGrf()

      This field MUST be ignored.

    - #### setGrf

          @Internal
          public void setGrf(int field_7_grf)

      This field MUST be ignored.

    - #### getPadding

          @Internal
          public int getPadding()

      This value MUST be zero and MUST be ignored.

    - #### setPadding

          @Internal
          public void setPadding(int field_8_padding)

      This value MUST be zero and MUST be ignored.

    - #### getMmPM

          @Internal
          public int getMmPM()

      This field MUST be ignored.

    - #### setMmPM

          @Internal
          public void setMmPM(int field_9_mmPM)

      This field MUST be ignored.

    - #### getPadding2

          @Internal
          public int getPadding2()

      This value MUST be zero and MUST be ignored.

    - #### setPadding2

          @Internal
          public void setPadding2(int field_10_padding2)

      This value MUST be zero and MUST be ignored.

    - #### getDxaGoal

          @Internal
          public short getDxaGoal()

      Get the dxaGoal field for the PICF record.

    - #### setDxaGoal

          @Internal
          public void setDxaGoal(short field_11_dxaGoal)

      Set the dxaGoal field for the PICF record.

    - #### getDyaGoal

          @Internal
          public short getDyaGoal()

      Get the dyaGoal field for the PICF record.

    - #### setDyaGoal

          @Internal
          public void setDyaGoal(short field_12_dyaGoal)

      Set the dyaGoal field for the PICF record.

    - #### getMx

          @Internal
          public int getMx()

      Get the mx field for the PICF record.

    - #### setMx

          @Internal
          public void setMx(int field_13_mx)

      Set the mx field for the PICF record.

    - #### getMy

          @Internal
          public int getMy()

      Get the my field for the PICF record.

    - #### setMy

          @Internal
          public void setMy(int field_14_my)

      Set the my field for the PICF record.

    - #### getDxaReserved1

          @Internal
          public short getDxaReserved1()

      Get the dxaReserved1 field for the PICF record.

    - #### setDxaReserved1

          @Internal
          public void setDxaReserved1(short field_15_dxaReserved1)

      Set the dxaReserved1 field for the PICF record.

    - #### getDyaReserved1

          @Internal
          public short getDyaReserved1()

      Get the dyaReserved1 field for the PICF record.

    - #### setDyaReserved1

          @Internal
          public void setDyaReserved1(short field_16_dyaReserved1)

      Set the dyaReserved1 field for the PICF record.

    - #### getDxaReserved2

          @Internal
          public short getDxaReserved2()

      Get the dxaReserved2 field for the PICF record.

    - #### setDxaReserved2

          @Internal
          public void setDxaReserved2(short field_17_dxaReserved2)

      Set the dxaReserved2 field for the PICF record.

    - #### getDyaReserved2

          @Internal
          public short getDyaReserved2()

      Get the dyaReserved2 field for the PICF record.

    - #### setDyaReserved2

          @Internal
          public void setDyaReserved2(short field_18_dyaReserved2)

      Set the dyaReserved2 field for the PICF record.

    - #### getFReserved

          @Internal
          public byte getFReserved()

      Get the fReserved field for the PICF record.

    - #### setFReserved

          @Internal
          public void setFReserved(byte field_19_fReserved)

      Set the fReserved field for the PICF record.

    - #### getBpp

          @Internal
          public byte getBpp()

      Get the bpp field for the PICF record.

    - #### setBpp

          @Internal
          public void setBpp(byte field_20_bpp)

      Set the bpp field for the PICF record.

    - #### getBrcTop80

          @Internal
          public byte[] getBrcTop80()

      Get the brcTop80 field for the PICF record.

    - #### setBrcTop80

          @Internal
          public void setBrcTop80(byte[] field_21_brcTop80)

      Set the brcTop80 field for the PICF record.

    - #### getBrcLeft80

          @Internal
          public byte[] getBrcLeft80()

      Get the brcLeft80 field for the PICF record.

    - #### setBrcLeft80

          @Internal
          public void setBrcLeft80(byte[] field_22_brcLeft80)

      Set the brcLeft80 field for the PICF record.

    - #### getBrcBottom80

          @Internal
          public byte[] getBrcBottom80()

      Get the brcBottom80 field for the PICF record.

    - #### setBrcBottom80

          @Internal
          public void setBrcBottom80(byte[] field_23_brcBottom80)

      Set the brcBottom80 field for the PICF record.

    - #### getBrcRight80

          @Internal
          public byte[] getBrcRight80()

      Get the brcRight80 field for the PICF record.

    - #### setBrcRight80

          @Internal
          public void setBrcRight80(byte[] field_24_brcRight80)

      Set the brcRight80 field for the PICF record.

    - #### getDxaReserved3

          @Internal
          public short getDxaReserved3()

      Get the dxaReserved3 field for the PICF record.

    - #### setDxaReserved3

          @Internal
          public void setDxaReserved3(short field_25_dxaReserved3)

      Set the dxaReserved3 field for the PICF record.

    - #### getDyaReserved3

          @Internal
          public short getDyaReserved3()

      Get the dyaReserved3 field for the PICF record.

    - #### setDyaReserved3

          @Internal
          public void setDyaReserved3(short field_26_dyaReserved3)

      Set the dyaReserved3 field for the PICF record.

    - #### getCProps

          @Internal
          public short getCProps()

      This value MUST be 0 and MUST be ignored.

    - #### setCProps

          @Internal
          public void setCProps(short field_27_cProps)

      This value MUST be 0 and MUST be ignored.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.